<?php


namespace App\DAO\Filter;


use App\Utils\Entity;

class QueryFilter extends Entity
{

    protected $value;
    protected $name_param;
    protected $is_exact;
    protected $table;
    protected $comparator;

    public static function builder() : QueryFilterBuilder
    {
        $query_filter_builder = new QueryFilterBuilder();
        return $query_filter_builder;
    }
    public function getComparator(): string
    {
        return $this->comparator;
    }

    public function getValue() : string
    {
        return $this->value;
    }

    public function getNameParam() : string
    {
        return $this->name_param;
    }

    public function getIsExact() : bool
    {
        return $this->is_exact;
    }

    public function getTable() : string
    {
        return $this->table;
    }

    public function setValue($value): void
    {
        $this->value = $value;
    }

    public function setNameParam(string $name_param): void
    {
        $this->name_param = $name_param;
    }

    public function setIsExact(bool $is_exact): void
    {
        $this->is_exact = $is_exact;
    }

    public function setTable(string $table): void
    {
        $this->table = $table;
    }
    public function setComparator(string $comparator): void
    {
        $this->comparator = $comparator;
    }
}
